Get NFT collections
curl --request GET \
--url https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/nft/v1/collectionsimport requests
url = "https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/nft/v1/collections"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/nft/v1/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collections": [
{
"object_addr": "<string>",
"collection": {
"creator": "<string>",
"name": "<string>",
"origin_name": "<string>",
"nfts": {
"handle": "<string>",
"length": 123
}
},
"height": 123,
"timestamp": "<string>"
}
],
"pagination": {
"previous_key": "<string>",
"next_key": "<string>",
"total": "<string>"
}
}NFTs
Get NFT collections
Returns a paginated list of all NFT collections.
GET
/
indexer
/
nft
/
v1
/
collections
Get NFT collections
Query Parameters
Cursor key for pagination.
Number of records to skip.
Maximum number of records to return. Defaults to 100.
Whether to return the total count. Defaults to true.
When true, returns results in descending order. Defaults to true.
Was this page helpful?
⌘I